<script setup lang="ts">
import { toRefs, ref } from 'vue'
import {
  purifyHtml,
} from '@/helper'

const props = defineProps({
  params: {
    type: Object,
    required: true,
  },
})
const { params } = toRefs(props)
const arg = params.value
const classes = ref<string>(arg['classes'])
</script>

<template>
  <div class="stw-paragraph-control">
    <div :class="classes">
      <p
        v-html="purifyHtml(arg?.['content'] ?? '')"
      />
    </div>
  </div>
</template>